Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wpvs.configuration
Class RemoteWMSDataSource

    java.lang.Object
      org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
          org.deegree.ogcwebservices.wpvs.configuration.LocalWMSDataSource
              org.deegree.ogcwebservices.wpvs.configuration.RemoteWMSDataSource

    public class RemoteWMSDataSource

extends LocalWMSDataSource

This class represents a remote WPVS dataSource object.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Judit Mays, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
`LOCAL_WCS, LOCAL_WFS, LOCAL_WMS, REMOTE_WCS, REMOTE_WFS, REMOTE_WMS, SERVICE_TYPE_TO_NAME`

Constructor Summary
`RemoteWMSDataSource(QualifiedName name, OWSCapabilities owsCapabilities, Surface validArea, double minScaleDenominator, double maxScaleDenominator, GetMap filterCondition, Color[] transparentColors)` Creates a new `RemoteWMSDataSource` object from the given parameters.

Method Summary
`GetMap` | `getFilterConditionMap()` The `filterCondition` is a map of key-value-pairs of an incomplete WMSRequest.
`OGCWebService` | `getOGCWebService()` Returns an instance of the `OGCWebService` that represents the datasource.

Methods inherited from class org.deegree.ogcwebservices.wpvs.configuration.LocalWMSDataSource
`getPartialGetMapRequest, getTransparentColors`

Methods inherited from class org.deegree.ogcwebservices.wpvs.configuration.AbstractDataSource
`getFilterCondition, getMaxScaleDenominator, getMinScaleDenominator, getName, getOwsCapabilities, getServiceType, getValidArea, setServiceType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoteWMSDataSource

    public RemoteWMSDataSource(QualifiedName name,
                               OWSCapabilities owsCapabilities,
                               Surface validArea,
                               double minScaleDenominator,
                               double maxScaleDenominator,
                               GetMap filterCondition,
                               Color[] transparentColors)

  Creates a new `RemoteWMSDataSource` object from the given parameters.

  Parameters:
    `name` -
    `owsCapabilities` -
    `validArea` -
    `minScaleDenominator` -
    `maxScaleDenominator` -
    `filterCondition` -
    `transparentColors` -

Method Detail

### getFilterConditionMap

    public GetMap getFilterConditionMap()

  The `filterCondition` is a map of key-value-pairs of an incomplete WMSRequest.

  Returns:
    Returns the filterCondition as GetMap

### getOGCWebService

    public OGCWebService getOGCWebService()
                                   throws OGCWebServiceException

  Description copied from class: `AbstractDataSource`
  Returns an instance of the `OGCWebService` that represents the datasource. Notice: if more than one datasets uses data that are offered by the same OWS, deegree WPVS will use just one instance for accessing the OWS

  Overrides:
    `getOGCWebService` in class `LocalWMSDataSource`
  Returns:
    an OGCWebService which represents this datasource
  Throws:
    `OGCWebServiceException`
  See Also:
    `AbstractDataSource.getOGCWebService()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org